Bug 210648 - virt-manager lists only running/paused machines - like 'xm list'
virt-manager lists only running/paused machines - like 'xm list'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Berrange
Brian Brock
:
: 212089 (view as bug list)
Depends On:
Blocks: 211671
  Show dependency treegraph
 
Reported: 2006-10-13 11:05 EDT by das_deniz
Modified: 2007-11-30 17:11 EST (History)
11 users (show)

See Also:
Fixed In Version: libvirt 0.2.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-14 12:50:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description das_deniz 2006-10-13 11:05:59 EDT
Description of feature request:

virt-manager lists only running machines - like 'xm list'

i'd like to suggest a split pane so that other lists can be displayed for

1) created machines (from list of validated config files in /etc/xen) 
2) machines that have been saved (via storage of the save request file location)
3) corrupted machines (from list of config files in /etc/xen that fail
validation - disk image deleted and such)

so that 'virt-manager' can do more xm things like 'create' a fully stopped
machine - and not just 'restore' one from a saved (if you can remember where you
saved the checkpoint file) thru the most excellent graphical display.

Version-Release number of selected component (if applicable):

virt-manager-0.2.3-2.fc6

How reproducible:

NA
Comment 1 Daniel Berrange 2006-10-17 13:33:46 EDT
Thanks for your feature request. The current Xen API we use does not provide any
way to access inactive guest machines at this time. That said we are working on
an enhancement to libvirt & virt-manager to read the config files straight out
of /etc/xen which will allow us to include the list of inactive machines (your
opt 1), and some corrupted machines which at least have parseable configs (your
opt 3). I expect this code to be made available early in the FC7 rawhide, and if
it proves reliable enough we'll consider a backport to FC6-updates.

I'll update this ticket when RPMs are available to try.

Comment 2 Daniel Berrange 2006-10-24 19:51:48 EDT
*** Bug 212089 has been marked as a duplicate of this bug. ***
Comment 3 Máirín Duffy 2006-11-20 10:03:16 EST
There is a dropdown in place to let you filter the full list of virt systems
(see the greyed-out dropdown in the upper right of this screenshot:
http://virt-manager.et.redhat.com/screenshots/host-summary.png)

So, I'm not so sure a split pane would be necessary. 
Comment 4 das_deniz 2006-11-20 10:17:52 EST
great! spirit and not the letter is fine... i'm not hung up on the UI details.

a list of all vms (running, built, broken) would be useful and hopefully is
understood to be the feature request of this 'bug'. thanks very much.
Comment 5 Daniel Berrange 2006-11-20 10:23:51 EST
Initial support for inactive domains was added to virt-manager in the upstream
mercurial repository last week. As Máirín mentioned, we simply have a drop down
to filter  active, inactive, vs all  machines and it works pretty effectively.
Similar supporting infrastructure has also been added to libvirt CVS tip.

I expect this to appear in Fedora Rawhide some time before the end of the year
after a little more development work to tidy up loose ends. If it works well,
we'll consider backporting to (or upgrading) FC6 too. 

Again, I'll update this ticket when RPMs are available for real world testing
Comment 6 Daniel Berrange 2006-12-21 10:33:18 EST
*** Bug 220425 has been marked as a duplicate of this bug. ***
Comment 7 Matthew Miller 2007-04-06 12:04:39 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 8 Bryn M. Reeves 2007-04-06 12:36:08 EDT
Bug is still current, switching product to FC6.

Note You need to log in before you can comment on or make changes to this bug.